SUSE SLES12 Security Update : qemu (SUSE-SU-2020:0845-1)

medium Nessus プラグイン ID 135169

言語:

New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このqemuの更新では、次の問題を修正します:

CVE-2020-7039:IRCとその他のプロトコルのエミュレート中のtcp_emu()ルーチン内のヒープバッファオーバーフローを修正しました(bsc#1161066)。

CVE-2019-15034:PCI構成のスペース割り当てが不適切なことによる、hw/display/bochs-display.c内のバッファオーバーフローを修正しました(bsc#1166379)。

CVE-2020-1711:ホスト上のQEMUプロセスの権限でリモートサービス拒否や任意のコード実行を引き起こす可能性のある、領域外ヒープバッファアクセスのiscsi_co_block_status()ルーチンを修正しました(bsc#1166240)。

CVE-2019-6778:識別プロトコルをエミュレートし、メッセージデータをソケットバッファにコピーしている間の、tcp_emu()ルーチン内のヒープバッファオーバーフローを修正しました(bsc#1123156)。

CVE-2020-8608:IRCとその他のプロトコルのエミュレート中のtcp_emu()ルーチン内のヒープバッファオーバーフローを修正しました(bsc#1163018)。

CVE-2019-20382:ホストメモリを枯渇させ、サービス拒否を引き起こす可能性のある、VNCディスプレイドライバー内のメモリリークを修正しました(bsc#1165776)。

ライブ移行エラーを修正しました(bsc#1154790、bsc#1156794、bsc#1156642)。

KVMでVMを移行すると:ospkeエラー次の機能が削除される問題を修正しました(bsc#1162729)。

インストールデバイスとしてのmdevパススルーデバイスでゲストシステムを起動できない問題を修正しました(bsc#1158880)。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Server 12-SP5:zypper in -t patch SUSE-SLE-SERVER-12-SP5-2020-845=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1123156

https://www.suse.com/security/cve/CVE-2019-6778/

https://bugzilla.suse.com/show_bug.cgi?id=1154790

https://bugzilla.suse.com/show_bug.cgi?id=1156642

https://bugzilla.suse.com/show_bug.cgi?id=1156794

https://bugzilla.suse.com/show_bug.cgi?id=1158880

https://bugzilla.suse.com/show_bug.cgi?id=1161066

https://bugzilla.suse.com/show_bug.cgi?id=1162161

https://bugzilla.suse.com/show_bug.cgi?id=1162729

https://bugzilla.suse.com/show_bug.cgi?id=1163018

https://bugzilla.suse.com/show_bug.cgi?id=1165776

https://bugzilla.suse.com/show_bug.cgi?id=1166240

https://bugzilla.suse.com/show_bug.cgi?id=1166379

https://www.suse.com/security/cve/CVE-2019-15034/

https://www.suse.com/security/cve/CVE-2019-20382/

https://www.suse.com/security/cve/CVE-2020-1711/

https://www.suse.com/security/cve/CVE-2020-7039/

https://www.suse.com/security/cve/CVE-2020-8608/

http://www.nessus.org/u?0287d340

プラグインの詳細

深刻度: Medium

ID: 135169

ファイル名: suse_SU-2020-0845-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2020/4/2

更新日: 2021/1/13

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2020-8608

VPR

リスクファクター: High

スコア: 7.4

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Medium

Base Score: 5.6

Temporal Score: 4.9

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:2.3:o:novell:suse_linux:12:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-block-curl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-block-curl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-block-rbd:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-block-rbd-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-guest-agent:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-guest-agent-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-kvm:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-lang:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-s390:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-s390-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-tools:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-tools-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-x86:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-block-ssh:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-block-ssh-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-block-iscsi:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-block-iscsi-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-audio-alsa:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-audio-alsa-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-audio-oss:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-audio-oss-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-audio-pa:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-audio-pa-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-audio-sdl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-audio-sdl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-ui-curses:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-ui-curses-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-ui-gtk:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-ui-gtk-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-ui-sdl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:qemu-ui-sdl-debuginfo:*:*:*:*:*:*:*

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2020/4/1

脆弱性公開日: 2019/3/21

参照情報

CVE: CVE-2019-6778, CVE-2020-7039, CVE-2020-1711, CVE-2020-8608, CVE-2019-20382, CVE-2019-15034